#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EStreamInterface {
    Default = 0,
    RecentGames = 1,
    BigPicture = 2,
    Desktop = 3,
    SteamVR = 4,
}

impl EStreamInterface {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Default as i32 => Some(Self::Default),
            x if x == Self::RecentGames as i32 => Some(Self::RecentGames),
            x if x == Self::BigPicture as i32 => Some(Self::BigPicture),
            x if x == Self::Desktop as i32 => Some(Self::Desktop),
            x if x == Self::SteamVR as i32 => Some(Self::SteamVR),
            _ => None,
        }
    }
}
